# Interface SourceCodeAnalysis.CompletionState

Enclosing class:
  `SourceCodeAnalysis`

public static sealed interface SourceCodeAnalysis.CompletionState
Permit access to completion state.

Since:
  26

## Method Summary

Modifier and Type
Method
Description
`boolean`
`availableUsingSimpleName(Element el)`
Returns true if the given element is available using the simple name at the place of the cursor..
`Set<SourceCodeAnalysis.CompletionContext>`
`completionContext()`
Returns flags describing the overall completion context..
`Elements`
`elementUtils()`
Returns an implementation of some utility methods for operating on elements.
`TypeMirror`
`selectorType()`
Returns if the context is a qualified expression (i.e. `SourceCodeAnalysis.CompletionContext.QUALIFIED` is set), the type of the selector expression; `null` otherwise..
`Types`
`typeUtils()`
Returns an implementation of some utility methods for operating on types.

## Method Details

### availableUsingSimpleName

boolean availableUsingSimpleName(Element el)
Returns true if the given element is available using the simple name at the place of the cursor..

Parameters:
  `el` - Element to check
Returns:
  true if the given element is available using the simple name at the place of the cursor.

### completionContext

Set<SourceCodeAnalysis.CompletionContext> completionContext()
Returns flags describing the overall completion context..

Returns:
  flags describing the overall completion context.

### selectorType

TypeMirror selectorType()
Returns if the context is a qualified expression (i.e. `SourceCodeAnalysis.CompletionContext.QUALIFIED` is set), the type of the selector expression; `null` otherwise..

Returns:
  if the context is a qualified expression (i.e. `SourceCodeAnalysis.CompletionContext.QUALIFIED` is set), the type of the selector expression; `null` otherwise.

### elementUtils

Elements elementUtils()
Returns an implementation of some utility methods for operating on elements.

Returns:
  an implementation of some utility methods for operating on elements

### typeUtils

Types typeUtils()
Returns an implementation of some utility methods for operating on types.

Returns:
  an implementation of some utility methods for operating on types